/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "@ionic/angular/css/normalize.css";
@import "@ionic/angular/css/structure.css";
@import "@ionic/angular/css/typography.css";
@import '@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "@ionic/angular/css/padding.css";
@import "@ionic/angular/css/float-elements.css";
@import "@ionic/angular/css/text-alignment.css";
@import "@ionic/angular/css/text-transformation.css";
@import "@ionic/angular/css/flex-utils.css";

.espacio-1 {--padding-top: 0.2rem}

.espacio-2 {--padding-top: 0.8rem}

$color-primario: rgba(30, 136, 229, 0.80);


/*-- ESTILOS HEADER */
ion-header {
  ion-toolbar {
    background-color: var(--ion-color-gris-claro);
    color: var(--ion-color-principal);
    text-align: center;
    font-weight: bolder;
  }

}

/* BOTONES */
.main-button {
  --background: linear-gradient(90deg, rgba(var(--ion-color-principal-rgb),1) 0%, rgba(var(--ion-color-principal-rgb), 0.3) 100%);
  --background-activated: linear-gradient(90deg, rgba(var(--ion-color-principal-rgb),1) 0%, rgba(var(--ion-color-principal-rgb), 0.3) 100%);
  --box-shadow: none;
  position: relative;
  height: 50px;
  margin-bottom: 15px;
}

.main-button::after {
  content: " ";
  position: absolute;
  width: 80%;
  right: 10%;
  bottom: 0%;
  top: 10px;
  height: 40px;
  z-index: -1;
  --box-shadow: 0px 20px 20px -17px rgba(0,11,255,1);
}

ion-button {
  --background: var(--ion-color-principal);
  --background-activated: var(--ion-color-secundario);
  --color-activated: var(--ion-color-principal);
  --border-radius: 25px;
  font-weight: bolder;
  height: 35px;
}

.ion-button-secundario {
  --border-color: var(--ion-color-gris);
  --background: var(--ion-color-gris);
  --background-activated: white;
  --color-activated: var(--ion-color-gris);
  --border-radius: 25px;
  font-weight: bolder;
  height: 35px;
  margin-bottom: 0.5rem;
}

/** MODALES APP*/
ion-modal.stack-modal {
  --box-shadow: 0 28px 48px rgba(0, 0, 0, 0.4);
  --backdrop-opacity: var(--ion-backdrop-opacity, 0.32);
}

ion-modal {
  --height: 20rem;
  --max-height: 24rem;
  --border-radius: 16px;
  --box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
}

ion-modal.mensaje-error {
  --height: 20rem;
  --max-height: 24rem;
  --border-radius: 16px;
  --box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
}

@media (min-width: 640px) {
  ion-modal {
    --height: 26rem;
    --max-height: 30rem;
    --border-radius: 16px;
    --box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
  }

  ion-modal.mensaje-error {
    --height: 26rem;
    --max-height: 30rem;
    --border-radius: 16px;
    --box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
  }
}

ion-modal::part(backdrop) {
  background: rgba(209, 213, 219);
  opacity: 1;
}

ion-modal .ion-page:not(ion-nav .ion-page) {
  position: relative;
  contain: layout style;
  // height: 100%;
  padding: 20px;
}

/** VALORES DE INPUT, SELECT */

ion-input {
  --color: var(--ion-color-gris);
  --placeholder-color: var(--ion-color-gris);
  --placeholder-opacity: .8;
  text-align: center;

  border-radius: 25px;
  border: solid 1px var(--ion-color-principal);

  margin-top: 10px;
  margin-bottom: 10px;

  height: 2.4rem;

  --padding-bottom: 12px;
  --padding-end: 12px;
  --padding-start: 12px;
  --padding-top: 12px;

  font-size: 12px;
}

ion-select {
  text-align: center;
  // --color: var(--ion-color-gris);
  --placeholder-color: var(--ion-color-gris);
  --placeholder-opacity: .8;

  border-radius: 25px;
  border: solid 1px var(--ion-color-principal);

  margin-top: 10px;
  margin-bottom: 10px;

  height: 2rem;
  width: 100%;

  --padding-bottom: 12px;
  --padding-end: 12px;
  --padding-start: 12px;
  --padding-top: 12px;

  font-size: 12px;
}

.action-sheet-button.sc-ion-action-sheet-ios {
  font-size: 14px;
}

ion-select::part(text) {
  color: var(--ion-color-gris);
}

ion-card {
  padding: 10px;
  margin-top: 15px;
  margin-bottom: 15px;

  h3 {
    font-size: 16px;
    font-weight: bolder;
    margin-bottom: 5px;
    margin-left: 10px;
  }

  .p-subtitulo {
    margin-top: 5px;
    margin-bottom: 5px;
    margin-left: 10px;
    text-align: start;
    font-size: 12px;
    color: var(--ion-color-gris);
  }
}

ion-loading.custom-loading {
  --background: white;
  --spinner-color: var(--ion-color-principal);
  color: var(--ion-color-principal);
  --max-height: 450px;
}

/** VALORES PARA MENSAJE TOASTER */
ion-toast.custom-toast {
  --background: var(--ion-color-principal);
  --box-shadow: 3px 3px 10px 0 rgba(0, 0, 0, 0.2);
  --color: white;
}

ion-toast.custom-toast::part(message) {
  font-style: italic;
}

ion-toast.custom-toast::part(button) {
  border-left: 1px solid #d2d2d2;
  color: var(--ion-color-principal);
  font-size: 15px;
}

